<template>
  <div :class="[open ? 'active' : 'inactive']">
    <h1>SIDEBAR</h1>
    <p>{{ state }}</p>
    <button v-on:click="handleClose">Close Sidebar</button>
  </div>
</template>

<script>
export default {
  props: {
    open: {
      type: Boolean,
      required: true
    },
    state: {
      type: Object,
      required: false
    }
  },
  emits: ["close"],
  setup(props, { emit }) {
    const handleClose = () => emit("close");
    return {
      handleClose
    };
  }
};
</script>

<style scoped>
.active {
  display: block;
  border: 1px solid black;
}
.inactive {
  display: none;
}
</style>
